Skip to main content
POST
/
api
/
v1
/
school
/
sessions
/
{session_pk}
/
exam-sessions
/
{exam_session_pk}
/
comment-status
/
all
Create comment statuses for all classes
curl --request POST \
  --url https://test-api.afrainity.com/api/v1/school/sessions/{session_pk}/exam-sessions/{exam_session_pk}/comment-status/all/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "created": true,
  "message": "Created 10 comment status entries",
  "data": [
    {
      "id": "789e4567-e89b-12d3-a456-426614174111",
      "academic_class": "123e4567-e89b-12d3-a456-426614174001",
      "exam_session": "123e4567-e89b-12d3-a456-426614174000",
      "teacher_comments_status": "Not Started",
      "head_comments_status": "Not Started"
    }
  ],
  "skipped": [
    {
      "class_name": "Form 1A",
      "reason": "Comment status already exists"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

exam_session_pk
string<uuid>
required

Exam session UUID

session_pk
string<uuid>
required

Academic session UUID

Body

{key}
any

Response

{key}
any